Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007450opensim[REGION] OpenSim Corepublic2015-02-22 10:482015-08-18 09:35
ReporterBlueWall 
Assigned Tojustincc 
PriorityhighSeveritymajorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0007450: IAR Nested Scripts Missing
DescriptionObjects are nested and scripted. Some of the nested item's scripts are missing, even though they show the script in their contents. When the nested object is rezzed a message is issued on the console:
  
18:36:50 - [PRIM INVENTORY]: Couldn't start script New Script, 0f44b824-44a3-4d75-b51d-f7bb3b90c3bf at <161.7361, 166.4454, 22.06463> in Scrap Yard since asset ID 64588868-699b-45d2-8bee-38cc794893d9 could not be found

Recompiling the script from the viewer Tools menu gives in-world message:
[10:41] Script not found on server.

These items were no-copy/no-mod on the original grid and we prepared for iar by using admin/object tools to force ownership and permissions before taking the rezzed objects into inventory.

Not all of the items exhibit the behavior. But, the ones that do always do as it seems they are broken in the transfer process.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineBulletSim
EnvironmentMono / Linux64
Mono VersionOther
ViewerSingularity
Attached Files

- Relationships
related to 0007439closedjustincc Delivery of scripted objects between grids results in missing or non-functional scripts at destination 

-  Notes
(0027582)
BlueWall (administrator)
2015-02-22 11:00

I also brought the individual objects unpacked along with the complete object. The individual objects are broken as well. It has nothing to do with the nesting.
(0027583)
BlueWall (administrator)
2015-02-22 11:10

I rechecked the permissions for the objects and scripts on the source grid and found them to be ok.
(0027584)
BlueWall (administrator)
2015-02-22 11:36

Re-rezzed the items in the original grid, re-creating the folder with copies of these and exporting a new IAR shows all scripts working.

A couple of notes. The first IAR was created from a console that was not the region the avatar was working in. The second IAR was created at the console of the working region.


Maybe this issue is some caching of objects and perms.
(0027605)
justincc (administrator)
2015-02-25 13:33

I would be reasonably confident this is now fixed in git master a03d893.
(0029265)
aiaustin (developer)
2015-08-18 09:35

Resolved issue marked as closed. Please open a new issue and refer to this one if problems arise.

- Issue History
Date Modified Username Field Change
2015-02-22 10:48 BlueWall New Issue
2015-02-22 10:49 BlueWall Relationship added related to 0007439
2015-02-22 11:00 BlueWall Note Added: 0027582
2015-02-22 11:10 BlueWall Note Added: 0027583
2015-02-22 11:36 BlueWall Note Added: 0027584
2015-02-25 13:33 justincc Note Added: 0027605
2015-02-25 13:33 justincc Status new => resolved
2015-02-25 13:33 justincc Resolution open => fixed
2015-02-25 13:33 justincc Assigned To => justincc
2015-08-18 09:35 aiaustin Note Added: 0029265
2015-08-18 09:35 aiaustin Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker